SearchClusteringEngine (Solr 3.6.2 API)
Keywords: org.apache.solr.handler.clustering.SearchClusteringEngine class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.solr.handler.clustering
Class SearchClusteringEngine

    java.lang.Object
      org.apache.solr.handler.clustering.ClusteringEngine
          org.apache.solr.handler.clustering.SearchClusteringEngine

Direct Known Subclasses:
  CarrotClusteringEngine

    public abstract class SearchClusteringEngine

extends ClusteringEngine

Field Summary

Fields inherited from class org.apache.solr.handler.clustering.ClusteringEngine
`DEFAULT_ENGINE_NAME, ENGINE_NAME`

Constructor Summary
`SearchClusteringEngine()`

Method Summary
`abstract Object` | `cluster(Query query, DocList docList, SolrQueryRequest sreq)` Deprecated.
`abstract Object` | `cluster(Query query, SolrDocumentList solrDocumentList, Map<SolrDocument,Integer> docIds, SolrQueryRequest sreq)`
`protected Set<String>` | `getFieldsToLoad(SolrQueryRequest sreq)` Returns the set of field names to load.
`SolrDocumentList` | `getSolrDocumentList(DocList docList, SolrQueryRequest sreq, Map<SolrDocument,Integer> docIds)`

Methods inherited from class org.apache.solr.handler.clustering.ClusteringEngine
`getName, init`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SearchClusteringEngine

    public SearchClusteringEngine()

Method Detail

### cluster

    @Deprecated
    public abstract Object cluster(Query query,
                                              DocList docList,
                                              SolrQueryRequest sreq)

  Deprecated.

### cluster

    public abstract Object cluster(Query query,
                                   SolrDocumentList solrDocumentList,
                                   Map<SolrDocument,Integer> docIds,
                                   SolrQueryRequest sreq)

### getFieldsToLoad

    protected Set<String> getFieldsToLoad(SolrQueryRequest sreq)

  Returns the set of field names to load. Concrete classes can override this method if needed. Default implementation returns null, that is, all stored fields are loaded.

  Parameters:
    `sreq` -
  Returns:
    set of field names to load

### getSolrDocumentList

    public SolrDocumentList getSolrDocumentList(DocList docList,
                                                SolrQueryRequest sreq,
                                                Map<SolrDocument,Integer> docIds)
                                         throws IOException

  Throws:
    `IOException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD